promote_scalar_type.hpp File Reference
`#include <stan/math/prim/scal/fun/promote_scalar_type.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | stan::math::promote_scalar_type< T, std::vector< S > >
| Template metaprogram to calculate a type for a container whose underlying scalar is converted from the second template parameter type to the first. More...

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

[ Stan Home Page ] © 2011–2016, Stan Development Team.